export function getI18nDictName(dict_type, value) {


  // dict.type.project_type.find(item => item.value === row.projectType).label
  // return this.dict.type(dict_type).label(value)
  // [dictType].find(item => item.value === value)?.label;
  if (!value) {
    return '-';
  }
  //
  const labelSuffix = localStorage.getItem('labelSuffix') || '';
  // console.log('labelSuffix:' + labelSuffix)

  const label = this.dict.type[dict_type].find(item => item.value == value)?.raw['dictLabel' + labelSuffix] || '-';
  // console.log('datas:' , this.dict.type[dict_type])
  // console.log("dict_type:" + dict_type + " value:" + value + " label:" + label)
  return label;
}
